ESB-2018.2507 - [Win][Linux][AIX] IBM Watson Explorer and IBM Watson Content Analytics: Access privileged data - Existing account 2018-08-23

Printable version
PGP/GPG verifiable version

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2018.2507
Security Bulletin: Multiple vulnerabilities affect Watson Explorer and IBM
                 Watson Content Analytics (CVE-2018-2783)
                              23 August 2018

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           IBM Watson Explorer
                   IBM Watson Content Analytics
Publisher:         IBM
Operating System:  AIX
                   Linux variants
                   Windows
Impact/Access:     Access Privileged Data -- Existing Account
Resolution:        Patch/Upgrade
CVE Names:         CVE-2018-2783  

Reference:         ASB-2018.0100
                   ESB-2018.2465
                   ESB-2018.2323
                   ESB-2018.2314
                   ESB-2018.2305
                   ESB-2018.2304
                   ESB-2018.2240.2

Original Bulletin: 
   http://www.ibm.com/support/docview.wss?uid=swg22017503

- --------------------------BEGIN INCLUDED TEXT--------------------

Security Bulletin: Multiple vulnerabilities affect Watson Explorer and IBM
Watson Content Analytics (CVE-2018-2783)

Document information

More support for: Watson Explorer

Software version: 3.5, 9.0.0, 10.0.0, 11.0.0, 11.0.1, 11.0.2, 12.0.0

Operating system(s): AIX, Linux, Windows

Reference #: 2017503

Modified date: 22 August 2018

Summary

Security vulnerabilities have been identified in IBM(R) Runtime Environment
Java(TM) Technology Edition that is used by Watson Explorer.

Vulnerability Details

CVEID: CVE-2018-2783
DESCRIPTION: An unspecified vulnerability in Oracle Java SE related to the
Java SE, Java SE Embedded, JRockit Security component could allow an
unauthenticated attacker to cause high confidentiality impact, high integrity
impact, and no availability impact.
CVSS Base Score: 7.4
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/
141939 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N)

Affected Products and Versions

These vulnerabilities apply to the following products and versions:

+------------------------------+----------------------+----------------------+
|Affected Product              |Affected Versions     |Applicable            |
|                              |                      |Vulnerabilities       |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer Deep      |12.0.0.0              |CVE-2018-2783         |
|Analytics Edition Foundational|                      |                      |
|Components                    |                      |                      |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer Deep      |12.0.0.0              |CVE-2018-2783         |
|Analytics Edition Analytical  |                      |                      |
|Components                    |                      |                      |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer Deep      |12.0.0.0, 12.0.0.1    |CVE-2018-2783         |
|Analytics Edition oneWEX      |                      |                      |
+------------------------------+----------------------+----------------------+
|Affected Product              |Affected Versions     |Applicable            |
|                              |                      |Vulnerabilities       |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer           |11.0.0.0 - 11.0.0.3,  |CVE-2018-2783         |
|Foundational Components       |11.0.1,               |                      |
|                              |11.0.2, 11.0.2.2      |                      |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer           |10.0.0.0 - 10.0.0.4   |CVE-2018-2783         |
|Foundational Components       |                      |                      |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer           |9.0.0.0 - 9.0.0.8     |CVE-2018-2783         |
|Foundational Components       |                      |                      |
+------------------------------+----------------------+----------------------+
|Affected Product              |Affected Versions     |Applicable            |
|                              |                      |Vulnerabilities       |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer           |                      |                      |
|Foundational Components       |12.0.0.0              |CVE-2018-2783         |
|Annotation Administration     |                      |                      |
|Console                       |                      |                      |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer           |11.0 - 11.0.0.3,      |CVE-2018-2783         |
|Foundational Components       |11.0.1,               |                      |
|Annotation Administration     |11.0.2, 11.0.2.2      |                      |
|Console                       |                      |                      |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer           |10.0 - 10.0.0.4       |CVE-2018-2783         |
|Foundational Components       |                      |                      |
|Annotation Administration     |                      |                      |
|Console                       |                      |                      |
+------------------------------+----------------------+----------------------+
|Watson Explorer Analytical    |11.0.0.0 - 11.0.0.3,  |CVE-2018-2783         |
|Components                    |11.0.1,               |                      |
|                              |11.0.2, 11.0.2.2      |                      |
+------------------------------+----------------------+----------------------+
|Watson Explorer Analytical    |10.0.0.0 - 10.0.0.2   |CVE-2018-2783         |
|Components                    |                      |                      |
+------------------------------+----------------------+----------------------+
|IBM Watson Content Analytics  |3.5.0.0 - 3.5.0.4     |CVE-2018-2783         |
+------------------------------+----------------------+----------------------+
|Affected Product              |Affected Versions     |Applicable            |
|                              |                      |Vulnerabilities       |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer Deep      |12.0.0.0              |CVE-2018-2783         |
|Analytics Edition Content     |                      |                      |
|Analytics Studio              |                      |                      |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer Content   |11.0 - 11.0.0.3,      |CVE-2018-2783         |
|Analytics Studio              |11.0.1                |                      |
+------------------------------+----------------------+----------------------+
|IBM Watson Explorer Content   |11.0.2, 11.0.2.1,     |CVE-2018-2783         |
|Analytics Studio              |11.0.2.2              |                      |
+------------------------------+----------------------+----------------------+

Remediation/Fixes

Follow these steps to upgrade to the required version of IBM Java Runtime.

The table reflects product names at the time the specified versions were
released. To use the links to Fix Central in this table, you must first log in
to the IBM Support Fix Central site at http://www.ibm.com/support/fixcentral/.

+--------------+---------+--------+-----------------------------------------------------------------------+
|              |Affected |Required|                                                                       |
|   Affected   |Versions |IBM Java|                                                                       |
|   Product    |         |Runtim  |                   How to acquire and apply the fix                    |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |12.0.0.0 |JVM 8   |Upgrade to Version 12.0.1.                                             |
|Explorer DAE  |         |SR5 FP15|                                                                       |
|Foundational  |         |or later|See Watson Explorer Version 12.0.1 Foundational Components for download|
|Components    |         |        |information and instructions.                                          |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |12.0.0.0 |JVM 8   |Upgrade to Version 12.0.1.                                             |
|Explorer DAE  |         |SR5 FP15|                                                                       |
|Analytical    |         |or later|See for Watson Explorer Version 12.0.1 Analytical Components download  |
|Components    |         |        |information and instructions.                                          |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |12.0.0.0,|JVM 8   |Upgrade to Version 12.0.1.                                             |
|Explorer DAE  |12.0.0.1 |SR5 FP15|                                                                       |
|oneWEX        |         |or later|See for Watson Explorer Version 12.0.1 oneWEX download information and |
|              |         |        |instructions.                                                          |
+--------------+---------+--------+-----------------------------------------------------------------------+
|Affected      |Affected |Required|How to acquire and apply the fix                                       |
|Produc t      |Versions |IBM Java|                                                                       |
|              |         |Runtim  |                                                                       |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |11.0 -   |JVM 8   |Upgrade to Version 11.0.2.3.                                           |
|Explorer      |11.0.0.3,|SR5 FP15|                                                                       |
|Foundational  |11.0.1,  |or later|See Watson Explorer Version 11.0.2.3 Foundational Components for       |
|Components    |11.0.2,  |        |download information and instructions.                                 |
|              |11.0.2.1,|        |                                                                       |
|              |11.0.2.2 |        |                                                                       |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |10.0 -   |JVM 8   |Upgrade to Version 10.0.0.5.                                           |
|Explorer      |10.0.0.4 |SR5 FP15|                                                                       |
|Foundational  |         |or later|See Watson Explorer Version 10.0.0.5 Foundational Components for       |
|Components    |         |        |download information and instructions.                                 |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |9.0 -    |JVM 7.1 | 1. If you have not already installed, install V9.0 Fix Pack 9 (see the|
|Explorer      |9.0.0.9  |SR4 FP25|    Fix Pack download document). If you upgrade to Version             |
|              |         |or later|    9.0.0.9 after you update IBM Java Runtime, your changes are lost   |
|              |         |        |    and you must repeat the steps.                                     |
|              |         |        | 2. Download the IBM Java Runtime, Version 8 package for your edition  |
|              |         |        |    (Standard, Enterprise, or Advanced) and operating system from Fix  |
|              |         |        |    Central: interim fix 9.0.0.9-WS-WatsonExplorer-<Edition>           |
|              |         |        |    Foundational-<OS>-7.1SR4FP25  or later (for example,               |
|              |         |        |    9.0.0.9-WS-WatsonExplorer-EEFoundational-Linux-7.1SR4FP25).        |
|              |         |        | 3. To apply the fix, follow the steps in Updating IBM Java Runtime.   |
+--------------+---------+--------+-----------------------------------------------------------------------+
|Affected      |Affected |Required|How to acquire and apply the fix                                       |
|Product       |Versions |IBM Java|                                                                       |
|              |         |Runtim  |                                                                       |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |         |        |                                                                       |
|Explorer      |         |        |Upgrade to Version 12.0.1.                                             |
|Foundational  |         |JVM 8   |                                                                       |
|Components    |12.0.0.0 |SR5 FP15|See Watson Explorer Version 12.0.1 Foundational Components for download|
|Annotation    |         |or later|information and instructions.                                          |
|Administration|         |        |                                                                       |
|Console       |         |        |                                                                       |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |11.0 -   |JVM 8   | 1. If you have not already installed, install V11.0.2 Fix Pack 2 (see |
|Explorer      |11.0.0.3,|SR5 FP15|    the Fix Pack download document). If you upgrade to Version 11.0.2.2|
|Foundational  |11.0.1,  |or later|    after you update IBM Java Runtime, your changes are lost and you   |
|Components    |11.0.2,  |        |    must repeat the steps.                                             |
|Annotation    |11.0.2.1,|        | 2. Download the IBM Java Runtime, Version 8 package for your edition  |
|Administration|11.0.2.2 |        |    (Standard, Enterprise, or Advanced) and operating system from Fix  |
|Console       |         |        |    Central: interim fix 11.0.2.2-WS-WatsonExplorer-<Edition>          |
|              |         |        |    FoundationalAAC-<OS>[32]-8SR5FP15  or later (for example,          |
|              |         |        |    11.0.2.2-WS-WatsonExplorer-AEFoundationalAAC-Linux32-8SR5FP16 and  |
|              |         |        |    11.0.2.2-WS-WatsonExplorer-AEFoundationalAAC-Linux-8SR5FP16).      |
|              |         |        | 3. To apply the fix, follow the steps in Updating IBM Java Runtime.   |
|              |         |        |                                                                       |
|              |         |        |Notes :                                                                |
|              |         |        |                                                                       |
|              |         |        |  o The document indicates the steps for "Analytical Components", but  |
|              |         |        |    the same step is applicable to Foundational Component Annotation   |
|              |         |        |    Administration Console 11.0.2.2.                                   |
|              |         |        |  o Version 11.0.2 Fix Pack 3 Foundational Components does not include |
|              |         |        |    Annotation Administration Console.                                 |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |10.0 -   |JVM 7   |Upgrade to Version 10.0.0.5.                                           |
|Explorer      |10.0.0.4 |SR10    |                                                                       |
|Foundational  |         |FP25 or |See Watson Explorer Version 10.0.0.5 Foundational Components for       |
|Components    |         |later   |download information and instructions.                                 |
|Annotation    |         |        |                                                                       |
|Administration|         |        |                                                                       |
|Console       |         |        |                                                                       |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |11.0 -   |JVM 8   |Upgrade to Version 11.0.2.3.                                           |
|Explorer      |11.0.0.3,|SR5 FP15|                                                                       |
|Analytical    |11.0.1,  |or later|See Watson Explorer Version 11.0.2.3 Analytical Components for download|
|Components    |11.0.2,  |        |information and instructions.                                          |
|              |11.0.2.1,|        |                                                                       |
|              |11.0.2.2 |        |                                                                       |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |10.0 -   |JVM 7   | 1. If you have not already installed, install V10.0 Fix Pack 2 (see   |
|Explorer      |10.0.0.2 |SR10    |    the Fix Pack download document). If you upgrade to Version 10.0.0.2|
|Analytical    |         |FP25 or |    after you update IBM Java Runtime, your changes are lost and you   |
|Components    |         |later   |    must repeat the steps.                                             |
|              |         |        | 2. Download the 32-bit (or 31-bit, if you use Linux on System z) and  |
|              |         |        |    64-bit packages of IBM Java Runtime, Version 7 package for your    |
|              |         |        |    edition (Enterprise or Advanced) and operating system from Fix     |
|              |         |        |    Central: interim fix 10.0.0.2-WS-WatsonExplorer-<Edition>          |
|              |         |        |    Analytical-<OS>[32|31]-7SR10FP25  or later. For example,           |
|              |         |        |    10.0.0.2-WS-WatsonExplorer-AEAnalytical-Linux-7SR10FP25 and        |
|              |         |        |    10.0.0.2-WS-WatsonExplorer-AEAnalytical-Linux32-7SR10FP25.         |
|              |         |        | 3. To apply the fix, follow the steps in Updating IBM Java Runtime.   |
|              |         |        | 4. Rename $ES_INSTALL_ROOT/lib/activation.jar                         |
|              |         |        |    to activation.jar.orig if the file exists.                         |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |3.5 -    |JVM 7   | 1. If you have not already installed, install V3.5 Fix Pack 4 (see the|
|Content       |3.5.0.4  |SR10    |    Fix Pack download document). If you upgrade to Version 3.5.0.4     |
|Analytics     |         |FP25 or |    after you update IBM Java Runtime, your changes are lost and you   |
|              |         |later   |    must repeat the steps.                                             |
|              |         |        | 2. Download the 32-bit (or 31-bit, if you use Linux on System z) and  |
|              |         |        |    64-bit packages of IBM Java Runtime, Version 7 for IBM Watson      |
|              |         |        |    Explorer Advanced Edition and your operating system from Fix       |
|              |         |        |    Central: interim fix 3.5.0.4-WT-WCA-<OS>[32|31]-7SR10FP25  or later|
|              |         |        |    (for example, 3.5.0.4-WT-WCA-Linux32-7SR10FP25 and                 |
|              |         |        |    3.5.0.4-WT-WCA-Linux-7SR10FP25).                                   |
|              |         |        | 3. To apply the fix, follow the steps in Updating IBM Java Runtime.   |
|              |         |        | 4. Rename $ES_INSTALL_ROOT/lib/activation.jar  to activation.jar.orig |
|              |         |        |    if the file exists.                                                |
+--------------+---------+--------+-----------------------------------------------------------------------+
|Affected      |Affected |Required|How to acquire and apply the fix                                       |
|Product       |Versions |IBM Java|                                                                       |
|              |         |Runtim  |                                                                       |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |12.0.0.0 |JVM 8   |Upgrade to Version 12.0.1.                                             |
|Explorer Deep |         |SR5 FP15|                                                                       |
|Analytics     |         |or later|See Watson Explorer Version 12.0.1 Foundational Components for download|
|Edition       |         |        |information and instructions.                                          |
|Content       |         |        |                                                                       |
|Analytics     |         |        |                                                                       |
|Studio        |         |        |                                                                       |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |11.0 -   |JVM 8   |Upgrade to Version 11.0.2 and applyl Fix Pack 2. For information about |
|Explorer      |11.0.0.3,|SR5 FP15|this version, and links to the software and release notes, see the     |
|Content       |11.0.1   |or later|download document. For information about upgrading, see the upgrade    |
|Analytics     |         |        |procedures.                                                            |
|Studio        |         |        |                                                                       |
|              |         |        |If you have not already installed, upgrade to Version 11.0.2.2 and     |
|              |         |        |follow the instruction for IBM Watson Explorer Content Analytics Studio|
|              |         |        |11.0.2.2.                                                              |
|              |         |        |                                                                       |
|              |         |        |  o For information about Version 11.0.2, and links to the software and|
|              |         |        |    release notes, see the download document. For information about    |
|              |         |        |    upgrading, see the upgrade procedures.                             |
|              |         |        |  o For information about Version 11.0.2.2, see the download document. |
+--------------+---------+--------+-----------------------------------------------------------------------+
|IBM Watson    |11.0.2,  |JVM 8   | 1. If you have not already installed, install V11.0.2 Fix Pack 2 (see |
|Explorer      |11.0.2.1,|SR5 FP15|    the Fix Pack download document). If you upgrade to Version 11.0.2.2|
|Content       |11.0.2.2 |or later|    after you update IBM Java Runtime, your changes are lost and you   |
|Analytics     |         |        |    must repeat the steps.                                             |
|Studio        |         |        | 2. Download the IBM Java Runtime, Version 9 package and operating     |
|              |         |        |    system from Fix Central: interim fix                               |
|              |         |        |    11.0.2.2-WS-WatsonExplorer-AEAnalytical-CAStudio-8SR5FP15  or      |
|              |         |        |    later.                                                             |
|              |         |        |    For example,                                                       |
|              |         |        |    11.0.2.2-WS-WatsonExplorer-AEAnalytical-CAStudio-8SR5FP16, which   |
|              |         |        |    includes 64-bit version of IBM Java Runtime.                       |
|              |         |        | 3. To apply the fix, follow the steps in Updating IBM Java Runtime.   |
|              |         |        |                                                                       |
|              |         |        |Note  :                                                                |
|              |         |        |                                                                       |
|              |         |        |  o Version 11.0.2 Fix Pack 3 Analytical Components does not include   |
|              |         |        |    Content Analytics Studio.                                          |
+--------------+---------+--------+-----------------------------------------------------------------------+

Change History

20 Aug 2018 : Initial publish

*The CVSS Environment Score is customer environment specific and will
ultimately impact the Overall CVSS Score. Customers can evaluate the impact of
this vulnerability in their environments by accessing the links in the
Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the
Common Vulnerability Scoring System (CVSS) is an "industry open standard
designed to convey vulnerability severity and help to determine urgency and
priority of response." IBM PROVIDES THE CVSS SCORES ""AS IS"" WITHOUT WARRANTY
OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT
OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBW35RQWaOgq3Tt24GAQjkOhAA1FuBnrBaXi+ZijpvGPuawMZJG+10/sMW
FMeOxzrpqWpzJKROu/91x8sCTwbwy52tvlq9bc1pBQ/Em41mYM5m+apQkAD7Kh5T
qALTMK8iZ0hz/Hj/ivA/7oAfi9uzf0xY10cAeiDdY8UQT1hNgO7WzJjVmP0oRmYc
jPkSlwTTz31whPW/lcTHWx23Wx2++O9uxXLTMeCxJkkPdcpehhtwe0uB1X33PYO5
RvVUa0LY8vxbjDpwbznwLHgh5MbwSvtZWpT/Uw3aI7QADCQbBH0NCoKK/ijpWRuR
pOuohYmAL7vQbgKysqzsMs5XUd3EffGYAoVWR3IEShSByGTOohYx9K/DprpyPdBc
8UJhIoT3iL7HNuWx3LDnyZwMEsH3ZlkeuoV8nrA9V7/iaHgxaLIKO6ck4kWHp8Sw
dS66qW8uvNn3MtR+dP/GIpPy69aywFwp9xLV9xa/+6Go0Gj/jZI+SqLrQXG51Znb
5oTgsD6i+cJDjCGiBXMpCIicRVHIE/kuZe+UNt+H2g4OXrl3TwRDdzwGn+nS+aqB
MEhSUNyJqRBQwitydHMVbV6MzTt72QgN9iNTA7+RccRioeJBdqN7x5gvfQh9/C07
maXIYmMnYt1l7L4qeG6BN+XRC7Dbl5cqzA8ekW5Sxt/7QAdKAvcIyndwFuv2kSo3
c1fUjjVE1KI=
=wVWQ
-----END PGP SIGNATURE-----

« Back to bulletins